Package kiyut.sketsa.canvas.tool.point

## Class AddPointTool

- java.lang.Object
- - kiyut.sketsa.canvas.tool.AbstractTool
  - - kiyut.sketsa.canvas.tool.point.AbstractPointTool
    - - kiyut.sketsa.canvas.tool.point.AddPointTool

- All Implemented Interfaces:
    `KeyListener`, `MouseListener`, `MouseMotionListener`, `EventListener`, `MouseInputListener`, `PointTool`, `Tool`

      public class AddPointTool
      extends AbstractPointTool

  AddPointTool implementation
  Author:
    KIYUT

- - ### Field Summary

    - ### Fields inherited from class kiyut.sketsa.canvas.tool.point.AbstractPointTool

      `canvas, model, stroke`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddPointTool()` | Creates a new instance of AddPointTool

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `endTool()` | Invoked when the tool is ended
    `void` | `mousePressed​(MouseEvent evt)` |
    `void` | `startTool()` | Invoked when the tool is started

    - ### Methods inherited from class kiyut.sketsa.canvas.tool.point.AbstractPointTool

      `getModel, paint, setVectorCanvas`

    - ### Methods inherited from class kiyut.sketsa.canvas.tool.AbstractTool

      `addMessageListener, fireMessageReceived, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased, removeMessageListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.KeyListener

      `keyPressed, keyReleased, keyTyped`

    - ### Methods inherited from interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseExited, mouseReleased`

    - ### Methods inherited from interface java.awt.event.MouseMotionListener

      `mouseDragged, mouseMoved`

    - ### Methods inherited from interface kiyut.sketsa.canvas.tool.Tool

      `addMessageListener, removeMessageListener`

- - ### Constructor Detail

    - #### AddPointTool

          public AddPointTool()

      Creates a new instance of AddPointTool

  - ### Method Detail

    - #### endTool

          public void endTool()

      Description copied from interface: `Tool`
      Invoked when the tool is ended
      Specified by:
        `endTool` in interface `Tool`
      Overrides:
        `endTool` in class `AbstractPointTool`

    - #### startTool

          public void startTool()

      Description copied from interface: `Tool`
      Invoked when the tool is started
      Specified by:
        `startTool` in interface `Tool`
      Overrides:
        `startTool` in class `AbstractTool`

    - #### mousePressed

          public void mousePressed​(MouseEvent evt)

      Specified by:
        `mousePressed` in interface `MouseListener`
      Overrides:
        `mousePressed` in class `AbstractTool`